
<?php
	include'connection.php';
		$userid=1111;
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; background-repeat:repeat; background-repeat:repeat-x; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 
 #srchby{margin-left:20px; font-family:calibri; font-size:22px;}
 .date{margin:10 0 0 20px;}
 .rechreport{width:1350px; height:40px; background:#996420; color:white; line-height:40px; margin-left:20px;}
 .rechreport p{margin-left:20px;}
 
#t1{ width:1350px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }

#green{color:#19dc42; }
#red{color:red; }
#blue{color:blue; }

 .foot{float:left; margin:10 0 0 100px; width:1350px;}
 </style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo 0; ?> </p>
	</div>
	<h3 id="srchby">Search By</h3><hr>
	<div class="date">
	    <form method="post">
		From Date : <input type="date" name="fdate">
		To Date : <input type="date" name="ldate">
		<input type="submit" name="submit">
		</form>
	</div>
	
		<?php
			include'connection.php';
			$sl=0;
			$totlCash=0;
			$totlLLP=0;
			$totlUBI=0;
			$totlSYN=0;
			$totlPNB=0;
			$totlsum=0;
			if(isset($_POST['submit']))
			{
			    $fdate=$_POST['fdate'];
			    $ldate=$_POST['ldate'];
			    
			    echo "<div class='rechreport'>
		                <p>Total Sale History ".$fdate." To ".$ldate."</p>
	                </div>
	                <table border='1' cellpadding='8' id='t1'>
		                <tr>
			                <th>Seller Name</th>
			                <th>Firm Name</th>
			                <th>Gst No.</th>
			                <th>State</th>
			                <th>Transaction</th>
			                <th>Cash Txn</th>
			                <th>LLP Fund</th>
			                <th>UBI</th>
			                <th>SYN</th>
			                <th>PNB</th>
			                <th>#</th>
		                </tr>";
		                
			    $quGetSeller="select * from Seller";
                $reGetSeller=mysqli_query($con,$quGetSeller);
                while($dataGetSeller=mysqli_fetch_array($reGetSeller))
                {
                     $sum=0;
                       
                    $SellerName=$dataGetSeller['Name'];
                    $SellerFirm=$dataGetSeller['Firm'];
                    $SellerGst=$dataGetSeller['GstNo'];
                    $SellerState=$dataGetSeller['State'];
                    $cashAmount=0;
                    $LLPAmount=0;
                    $UnionAmount=0;
                    $SynAmount=0;
                    $PnbAmount=0;
                    
                    $quGetGenrateTxn="select * from wallet where Userid='$userid' and Paymentfrom='$SellerName' and Date>='$fdate' and Date<='$ldate' and Transactiontype='Generate_Amount'";
                    $reGetComm=mysqli_query($con,$quGetGenrateTxn);
                    while($dataGetComm=mysqli_fetch_array($reGetComm))
                    {
                        if($dataGetComm['Payfromname']=="Pay By Cash")
                        {
                            $cashAmount=$cashAmount+$dataGetComm['Credit'];
                        }
                        elseif($dataGetComm['Payfromname']=="Pay LLP Fund")
                        {
                            $LLPAmount=$LLPAmount+$dataGetComm['Credit'];
                        }
                        elseif($dataGetComm['Payfromname']=="UNION BANK OF INDIA")
                        {
                            $UnionAmount=$UnionAmount+$dataGetComm['Credit'];
                        }
                        elseif($dataGetComm['Payfromname']=="SYNDICATE BANK")
                        {
                            $SynAmount=$SynAmount+$dataGetComm['Credit'];
                        }
                        elseif($dataGetComm['Payfromname']=="PUNJAB NATIONAL BANK")
                        {
                            $PnbAmount=$PnbAmount+$dataGetComm['Credit'];
                        }
                        
                        $comm=$dataGetComm['Credit'];
                        $sum=$sum+$comm;
                    }
                    
			        $totlsum = $totlsum+$sum;
			        $totlCash = $totlCash+$cashAmount;
			        $totlLLP = $totlLLP+$LLPAmount;
			        $totlUBI = $totlUBI+$UnionAmount;
			        $totlSYN = $totlSYN+$SynAmount;
			        $totlPNB = $totlPNB+$PnbAmount;
			        if(!$sum==0)
			        {
			    	    echo "<tr>";
    	    				echo "<td>".$SellerName."</td>";
    	    				echo "<td>".$SellerFirm."</td>";
    	    				echo "<td>".$SellerGst."</td>";
    	    				echo "<td>".$SellerState."</td>";
    		    			echo "<td>".$sum."</td>";
    		    			echo "<td>".$cashAmount."</td>";
    		    			echo "<td>".$LLPAmount."</td>";
    		    			echo "<td>".$UnionAmount."</td>";
    		    			echo "<td>".$SynAmount."</td>";
    		    			echo "<td>".$PnbAmount."</td>";
    		    			echo "<td><a href='edit_seller.php?sid=".$dataGetSeller['Id']."' target='_blank'>Edit</a></td>";
				        echo "</tr>";
			        }
			    }
			   echo "<tr>";
		        	echo"<th>All Seller</th>";
		        	echo"<th></th>";
		        	echo"<th></th>";
		        	echo"<th></th>";
		        	echo"<th>".$totlsum."</th>";
		        	echo"<th>".$totlCash."</th>";
		        	echo"<th>".$totlLLP."</th>";
		        	echo"<th>".$totlUBI."</th>";
		        	echo"<th>".$totlSYN."</th>";
		        	echo"<th>".$totlPNB."</th>";
		        	echo"<th></th>";
	        	echo "</tr>";
			}
		?>
	</table>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Pro Digital Services</p>
	</div>
</body>
</html>